import type { IOptionLoader, IShape } from "../../../Interfaces";
import type { RecursivePartial, ShapeData, SingleOrMultiple } from "../../../../Types";
import { ICharacterShape } from "../../../Interfaces/Particles/Shape/ICharacterShape";
import { IImageShape } from "../../../Interfaces/Particles/Shape/IImageShape";
import { IPolygonShape } from "../../../Interfaces/Particles/Shape/IPolygonShape";
import { Stroke } from "../Stroke";
export declare class Shape implements IShape, IOptionLoader<IShape> {
    get image(): SingleOrMultiple<IImageShape>;
    set image(value: SingleOrMultiple<IImageShape>);
    get custom(): ShapeData;
    set custom(value: ShapeData);
    get images(): SingleOrMultiple<IImageShape>;
    set images(value: SingleOrMultiple<IImageShape>);
    get stroke(): SingleOrMultiple<Stroke>;
    set stroke(_value: SingleOrMultiple<Stroke>);
    get character(): SingleOrMultiple<ICharacterShape>;
    set character(value: SingleOrMultiple<ICharacterShape>);
    get polygon(): SingleOrMultiple<IPolygonShape>;
    set polygon(value: SingleOrMultiple<IPolygonShape>);
    type: SingleOrMultiple<string>;
    options: ShapeData;
    constructor();
    load(data?: RecursivePartial<IShape>): void;
    private loadShape;
}
