import { InteractivityDetect } from "../../../Enums";
import type { IInteractivity, IOptionLoader } from "../../Interfaces";
import { Events } from "./Events";
import { Modes } from "./Modes";
import type { RecursivePartial } from "../../../Types";
/**
 * [[include:Options/Interactivity.md]]
 * @category Options
 */
export declare class Interactivity implements IInteractivity, IOptionLoader<IInteractivity> {
    /**
     *
     * @deprecated this property is obsolete, please use the new detectsOn
     */
    get detect_on(): InteractivityDetect | keyof typeof InteractivityDetect;
    /**
     *
     * @deprecated this property is obsolete, please use the new detectsOn
     * @param value
     */
    set detect_on(value: InteractivityDetect | keyof typeof InteractivityDetect);
    detectsOn: InteractivityDetect | keyof typeof InteractivityDetect;
    events: Events;
    modes: Modes;
    constructor();
    load(data?: RecursivePartial<IInteractivity>): void;
}
