import type { IOptionLoader, IOptions } from "../Interfaces";
import type { RangeValue, RecursivePartial, SingleOrMultiple } from "../../Types";
import { Background } from "./Background";
import { BackgroundMask } from "./BackgroundMask";
import { Engine } from "../../engine";
import { FullScreen } from "./FullScreen";
import { Interactivity } from "./Interactivity";
import { ManualParticle } from "./ManualParticle";
import { Motion } from "./Motion";
import { Responsive } from "./Responsive";
import { Theme } from "./Theme";
/**
 * [[include:Options.md]]
 * @category Options
 */
export declare class Options implements IOptions, IOptionLoader<IOptions> {
    #private;
    /**
     * @deprecated this property is obsolete, please use the new fpsLimit
     */
    get fps_limit(): number;
    /**
     *
     * @deprecated this property is obsolete, please use the new fpsLimit
     * @param value
     */
    set fps_limit(value: number);
    /**
     * @deprecated this property is obsolete, please use the new retinaDetect
     */
    get retina_detect(): boolean;
    /**
     * @deprecated this property is obsolete, please use the new retinaDetect
     * @param value
     */
    set retina_detect(value: boolean);
    /**
     * @deprecated this property is obsolete, please use the new fullScreen
     */
    get backgroundMode(): FullScreen;
    /**
     * @deprecated this property is obsolete, please use the new fullScreen
     * @param value
     */
    set backgroundMode(value: FullScreen);
    autoPlay: boolean;
    background: Background;
    backgroundMask: BackgroundMask;
    detectRetina: boolean;
    duration: RangeValue;
    fpsLimit: number;
    fullScreen: FullScreen;
    interactivity: Interactivity;
    manualParticles: ManualParticle[];
    motion: Motion;
    particles: import("./Particles").ParticlesOptions;
    pauseOnBlur: boolean;
    pauseOnOutsideViewport: boolean;
    preset?: SingleOrMultiple<string>;
    style: RecursivePartial<CSSStyleDeclaration>;
    responsive: Responsive[];
    themes: Theme[];
    zLayers: number;
    defaultDarkTheme?: string;
    defaultLightTheme?: string;
    [name: string]: unknown;
    constructor(engine: Engine);
    /**
     * This methods loads the source object in the current instance
     * @param data the source data to load into the instance
     */
    load(data?: RecursivePartial<IOptions>): void;
    setTheme(name?: string): void;
    setResponsive(width: number, pxRatio: number, defaultOptions: IOptions): number | undefined;
    private importPreset;
}
