import type { ICoordinates, IDistance } from "../../../../Core";
import type { IMove, IOptionLoader } from "../../../Interfaces";
import { MoveDirection, MoveDirectionAlt, OutMode, OutModeAlt } from "../../../../Enums";
import { RangeValue, RecursivePartial } from "../../../../Types";
import { MoveAngle } from "./MoveAngle";
import { MoveAttract } from "./MoveAttract";
import { MoveGravity } from "./MoveGravity";
import { MovePath } from "./Path";
import { MoveTrail } from "./MoveTrail";
import { OutModes } from "./OutModes";
import { Spin } from "./Spin";
/**
 * [[include:Options/Particles/Move.md]]
 * @category Options
 */
export declare class Move implements IMove, IOptionLoader<IMove> {
    /**
     * @deprecated this property is obsolete, please use the new collisions object on particles options
     */
    get collisions(): boolean;
    /**
     * @deprecated this property is obsolete, please use the new collisions object on particles options
     * @param value
     */
    set collisions(value: boolean);
    /**
     * @deprecated this property is obsolete, please use the new collisions object on particles options
     */
    get bounce(): boolean;
    /**
     * @deprecated this property is obsolete, please use the new collisions object on particles options
     * @param value
     */
    set bounce(value: boolean);
    /**
     *
     * @deprecated this property is obsolete, please use the new outMode
     */
    get out_mode(): OutMode | keyof typeof OutMode | OutModeAlt;
    /**
     *
     * @deprecated this property is obsolete, please use the new outMode
     * @param value
     */
    set out_mode(value: OutMode | keyof typeof OutMode | OutModeAlt);
    /**
     *
     * @deprecated this property is obsolete, please use the new outMode
     */
    get outMode(): OutMode | keyof typeof OutMode | OutModeAlt;
    /**
     *
     * @deprecated this property is obsolete, please use the new outMode
     * @param value
     */
    set outMode(value: OutMode | keyof typeof OutMode | OutModeAlt);
    /**
     * @deprecated use the new [[path]] property instead
     */
    get noise(): MovePath;
    /**
     * @deprecated use the new [[path]] property instead
     */
    set noise(value: MovePath);
    angle: MoveAngle;
    attract: MoveAttract;
    center: ICoordinates & {
        radius: number;
    };
    direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt | number;
    distance: Partial<IDistance>;
    decay: number;
    drift: RangeValue;
    enable: boolean;
    gravity: MoveGravity;
    path: MovePath;
    outModes: OutModes;
    random: boolean;
    size: boolean;
    speed: RangeValue;
    spin: Spin;
    straight: boolean;
    trail: MoveTrail;
    vibrate: boolean;
    warp: boolean;
    constructor();
    load(data?: RecursivePartial<IMove>): void;
}
