import type { RangeValue, RecursivePartial, SingleOrMultiple } from "../../Types";
import type { IBackground } from "./Background";
import type { IBackgroundMask } from "./BackgroundMask";
import type { IFullScreen } from "./FullScreen";
import type { IInteractivity } from "./Interactivity";
import type { IManualParticle } from "./IManualParticle";
import type { IMotion } from "./Motion";
import type { IParticlesOptions } from "./Particles";
import type { IResponsive } from "./IResponsive";
import type { ITheme } from "./Theme";
export interface IOptions {
    autoPlay: boolean;
    background: IBackground;
    backgroundMask: IBackgroundMask;
    backgroundMode: RecursivePartial<IFullScreen> | boolean;
    detectRetina: boolean;
    duration: RangeValue;
    fps_limit: number;
    fpsLimit: number;
    fullScreen: RecursivePartial<IFullScreen> | boolean;
    interactivity: IInteractivity;
    manualParticles: IManualParticle[];
    motion: IMotion;
    particles: IParticlesOptions;
    pauseOnBlur: boolean;
    pauseOnOutsideViewport: boolean;
    preset?: SingleOrMultiple<string>;
    responsive: IResponsive[];
    retina_detect: boolean;
    style: RecursivePartial<CSSStyleDeclaration>;
    themes: ITheme[];
    zLayers: number;
    [name: string]: unknown;
}
